#include "xfxelemvelstatesample.h"

XFxElemVelStateSample::XFxElemVelStateSample()
    : XAsset()
    , mLocal()
    , mWorld()
{
    SetName("Element Vel State Sample");
}

XFxElemVelStateSample::~XFxElemVelStateSample()
{
    
}

void XFxElemVelStateSample::Clear()
{
    mLocal.Clear();
    mWorld.Clear();
}

void XFxElemVelStateSample::ParseData(XDataStream *aStream)
{
    mLocal.ParseData(aStream);
    mWorld.ParseData(aStream);
}
